From 3ba1e792b200689b1842b279c785573e9236daaf Mon Sep 17 00:00:00 2001
From: Gluzskiy Alexandr <sss123next@list.ru>
Date: Fri, 24 Jul 2009 19:24:48 +0400
Subject: 	new file:   app-emulation/wine/files 	new file:  
 app-misc/mc/files 	new file:   games-emulation/epsxe/files 	new
 file:   media-sound/musepack-tools/files 	new file:  
 net-analyzer/nessus-core/files 	new file:  
 net-analyzer/nessus-libraries/files 	new file:  
 net-analyzer/nessus-plugins/files 	new file:   net-libs/opal/files 
 new file:   net-libs/ptlib/files 	new file:  
 net-libs/ptlib/ptlib-2.4.5.ebuild 	new file:  
 net-libs/ptlib/ptlib-2.6.4.ebuild 	new file:  
 net-libs/ptlib/ptlib-9999.ebuild 	new file:   x11-libs/pixman/files

---
 net-libs/opal/files               |   1 +
 net-libs/ptlib/files              |   1 +
 net-libs/ptlib/ptlib-2.4.5.ebuild |  98 ++++++++++++++++++++++++++++++++++
 net-libs/ptlib/ptlib-2.6.4.ebuild | 103 ++++++++++++++++++++++++++++++++++++
 net-libs/ptlib/ptlib-9999.ebuild  | 108 ++++++++++++++++++++++++++++++++++++++
 5 files changed, 311 insertions(+)
 create mode 120000 net-libs/opal/files
 create mode 120000 net-libs/ptlib/files
 create mode 100644 net-libs/ptlib/ptlib-2.4.5.ebuild
 create mode 100644 net-libs/ptlib/ptlib-2.6.4.ebuild
 create mode 100644 net-libs/ptlib/ptlib-9999.ebuild

(limited to 'net-libs')

diff --git a/net-libs/opal/files b/net-libs/opal/files
new file mode 120000
index 0000000..1022705
--- /dev/null
+++ b/net-libs/opal/files
@@ -0,0 +1 @@
+/usr/portage/net-libs/opal/files
\ No newline at end of file
diff --git a/net-libs/ptlib/files b/net-libs/ptlib/files
new file mode 120000
index 0000000..6ea5545
--- /dev/null
+++ b/net-libs/ptlib/files
@@ -0,0 +1 @@
+/usr/portage/net-libs/ptlib/files
\ No newline at end of file
diff --git a/net-libs/ptlib/ptlib-2.4.5.ebuild b/net-libs/ptlib/ptlib-2.4.5.ebuild
new file mode 100644
index 0000000..b3b9f38
--- /dev/null
+++ b/net-libs/ptlib/ptlib-2.4.5.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="1"
+
+inherit eutils
+
+DESCRIPTION="Network focused portable C++ class library providing high level functions"
+HOMEPAGE="http://www.opalvoip.org/"
+SRC_URI="mirror://sourceforge/opalvoip/${P}.tar.bz2"
+
+LICENSE="MPL-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="alsa bsdvideo debug doc esd ieee1394 ipv6 ldap minimal noaudio novideo oss
+sasl sdl ssl sunaudio v4l v4l2 xml"
+
+RDEPEND="alsa? ( media-libs/alsa-lib )
+	esd? ( media-sound/esound )
+	ieee1394? ( media-libs/libdv
+		sys-libs/libavc1394
+		media-libs/libdc1394:1 )
+	ldap? ( net-nds/openldap )
+	sasl? ( dev-libs/cyrus-sasl:2 )
+	sdl? ( media-libs/libsdl )
+	ssl? ( dev-libs/openssl )
+	xml? ( dev-libs/expat )"
+DEPEND="${RDEPEND}
+	sys-devel/bison
+	sys-devel/flex
+	v4l? ( sys-kernel/linux-headers )
+	v4l2? ( sys-kernel/linux-headers )
+	!dev-libs/pwlib"
+
+src_unpack() {
+	unpack ${A}
+	cd "${S}"
+
+	# this patch fixes bugs: #145424 and #140358
+	epatch "${FILESDIR}"/${PN}-asm.patch
+}
+
+src_compile() {
+	local myconf=""
+	local makeopts=""
+
+	use noaudio && myconf="${myconf} --disable-audio"
+	use novideo && myconf="${myconf} --disable-video"
+
+	econf \
+		${myconf} \
+		$(use_enable alsa) \
+		$(use_enable bsdvideo) \
+		$(use_enable debug exceptions) \
+		$(use_enable debug memcheck) \
+		$(use_enable esd) \
+		$(use_enable ieee1394 avc) \
+		$(use_enable ieee1394 dc) \
+		$(use_enable ipv6) \
+		$(use_enable ldap openldap) \
+		$(use_enable minimal minsize) \
+		$(use_enable oss) \
+		$(use_enable sasl) \
+		$(use_enable sdl) \
+		$(use_enable ssl openssl) \
+		$(use_enable sunaudio) \
+		$(use_enable v4l) \
+		$(use_enable v4l2) \
+		$(use_enable xml expat) \
+		--enable-plugins \
+		|| die "econf failed"
+
+	if use debug; then
+		makeopts="${makeopts} DEBUG=1 debug"
+	fi
+
+	emake ${makeopts} || die "emake failed"
+}
+
+src_install() {
+	local makeopts
+
+	makeopts="PREFIX=/usr DESTDIR=\"${D}\""
+
+	if use debug; then
+		makeopts="${makeopts} DEBUG=1"
+	fi
+
+	emake ${makeopts} install || die "emake install failed"
+
+	if use doc; then
+		dohtml -r html/* || die "documentation installation failed"
+	fi
+
+	dodoc ReadMe.txt ReadMe_QOS.txt History.txt || die "documentation
+ installation failed"
+}
diff --git a/net-libs/ptlib/ptlib-2.6.4.ebuild b/net-libs/ptlib/ptlib-2.6.4.ebuild
new file mode 100644
index 0000000..a71b8fb
--- /dev/null
+++ b/net-libs/ptlib/ptlib-2.6.4.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="1"
+
+inherit eutils
+
+DESCRIPTION="Network focused portable C++ class library providing high level functions"
+HOMEPAGE="http://www.opalvoip.org/"
+SRC_URI="mirror://sourceforge/opalvoip/${P}.tar.bz2"
+
+LICENSE="MPL-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="alsa bsdvideo debug doc esd ffmpeg ieee1394 ipv6 ldap minimal noaudio novideo +opal oss +shm
+sasl sdl ssl sunaudio v4l v4l2 xml"
+
+RDEPEND="alsa? ( media-libs/alsa-lib )
+	esd? ( media-sound/esound )
+	ieee1394? ( media-libs/libdv
+		sys-libs/libavc1394
+		media-libs/libdc1394:1 )
+	ldap? ( net-nds/openldap )
+	sasl? ( dev-libs/cyrus-sasl:2 )
+	sdl? ( media-libs/libsdl )
+	ssl? ( dev-libs/openssl )
+	xml? ( dev-libs/expat )
+	ffmpeg? ( media-video/ffmpeg )"
+DEPEND="${RDEPEND}
+	sys-devel/bison
+	sys-devel/flex
+	v4l? ( sys-kernel/linux-headers )
+	v4l2? ( sys-kernel/linux-headers )
+	!dev-libs/pwlib"
+
+src_unpack() {
+	unpack ${A}
+	cd "${S}"
+
+	# this patch fixes bugs: #145424 and #140358
+#	epatch "${FILESDIR}"/${PN}-asm.patch
+}
+
+src_compile() {
+	local myconf=""
+	local makeopts=""
+
+	use noaudio && myconf="${myconf} --disable-audio"
+	use novideo && myconf="${myconf} --disable-video"
+
+	econf \
+		${myconf} \
+		$(use_enable alsa) \
+		$(use_enable bsdvideo) \
+		$(use_enable debug exceptions) \
+		$(use_enable debug memcheck) \
+		$(use_enable esd) \
+		$(use_enable ieee1394 avc) \
+		$(use_enable ieee1394 dc) \
+		$(use_enable ipv6) \
+		$(use_enable ldap openldap) \
+		$(use_enable minimal minsize) \
+		$(use_enable oss) \
+		$(use_enable sasl) \
+		$(use_enable sdl) \
+		$(use_enable ssl openssl) \
+		$(use_enable sunaudio) \
+		$(use_enable v4l) \
+		$(use_enable v4l2) \
+		$(use_enable xml expat) \
+		$(use_enable ffmpeg ffvdev) \
+		$(use_enable shm shmvideo) \
+		$(use_enable opal) \
+		--enable-plugins \
+		--enable-video \
+		|| die "econf failed"
+
+	if use debug; then
+		makeopts="${makeopts} DEBUG=1 debug"
+	fi
+
+	emake ${makeopts} || die "emake failed"
+}
+
+src_install() {
+	local makeopts
+
+	makeopts="PREFIX=/usr DESTDIR=\"${D}\""
+
+	if use debug; then
+		makeopts="${makeopts} DEBUG=1"
+	fi
+
+	emake ${makeopts} install || die "emake install failed"
+
+	if use doc; then
+		dohtml -r html/* || die "documentation installation failed"
+	fi
+
+	dodoc ReadMe.txt ReadMe_QOS.txt History.txt || die "documentation
+ installation failed"
+}
diff --git a/net-libs/ptlib/ptlib-9999.ebuild b/net-libs/ptlib/ptlib-9999.ebuild
new file mode 100644
index 0000000..aa08f93
--- /dev/null
+++ b/net-libs/ptlib/ptlib-9999.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="1"
+
+inherit eutils subversion autotools
+
+DESCRIPTION="Network focused portable C++ class library providing high level functions"
+HOMEPAGE="http://www.opalvoip.org/"
+SRC_URI=""
+
+ESVN_REPO_URI="https://opalvoip.svn.sourceforge.net/svnroot/opalvoip/ptlib/trunk"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+#ESVN_BOOTSTRAP="./autogen.sh"
+
+S="${WORKDIR}/${P/_/}"
+
+LICENSE="MPL-1.0"
+SLOT=""
+KEYWORDS=""
+IUSE="alsa bsdvideo debug doc esd ieee1394 ipv6 ldap minimal noaudio novideo oss
+sasl sdl ssl sunaudio v4l v4l2 xml +exceptions +plugins opal"
+
+RDEPEND="alsa? ( media-libs/alsa-lib )
+	esd? ( media-sound/esound )
+	ieee1394? ( media-libs/libdv
+		sys-libs/libavc1394
+		media-libs/libdc1394:1 )
+	ldap? ( net-nds/openldap )
+	sasl? ( dev-libs/cyrus-sasl:2 )
+	sdl? ( media-libs/libsdl )
+	ssl? ( dev-libs/openssl )
+	xml? ( dev-libs/expat )"
+DEPEND="${RDEPEND}
+	sys-devel/bison
+	sys-devel/flex
+	v4l? ( sys-kernel/linux-headers )
+	v4l2? ( sys-kernel/linux-headers )
+	!dev-libs/pwlib"
+
+src_unpack() {
+	subversion_src_unpack
+	cd "${S}"
+#	eautoreconf
+
+	# this patch fixes bugs: #145424 and #140358
+#	epatch "${FILESDIR}"/${PN}-asm.patch
+}
+
+src_compile() {
+	local myconf=""
+	local makeopts=""
+
+	use noaudio && myconf="${myconf} --disable-audio"
+	use novideo && myconf="${myconf} --disable-video"
+
+	econf \
+		${myconf} \
+		$(use_enable alsa) \
+		$(use_enable bsdvideo) \
+		$(use_enable debug exceptions) \
+		$(use_enable debug memcheck) \
+		$(use_enable esd) \
+		$(use_enable ieee1394 avc) \
+		$(use_enable ieee1394 dc) \
+		$(use_enable ipv6) \
+		$(use_enable ldap openldap) \
+		$(use_enable minimal minsize) \
+		$(use_enable oss) \
+		$(use_enable sasl) \
+		$(use_enable sdl) \
+		$(use_enable ssl openssl) \
+		$(use_enable sunaudio) \
+		$(use_enable v4l) \
+		$(use_enable v4l2) \
+		$(use_enable xml expat) \
+		$(use_enable exceptions) \
+		$(use_enable plugins) \
+		$(use_enable opal) \
+		|| die "econf failed"
+
+	if use debug; then
+		makeopts="${makeopts} DEBUG=1 debug"
+	fi
+
+	emake ${makeopts} || die "emake failed"
+}
+
+src_install() {
+	local makeopts
+
+	makeopts="PREFIX=/usr DESTDIR=\"${D}\""
+
+	if use debug; then
+		makeopts="${makeopts} DEBUG=1"
+	fi
+
+	emake ${makeopts} install || die "emake install failed"
+
+#	if use doc; then
+#		dohtml -r html/* || die "documentation installation failed"
+#	fi
+
+#	dodoc ReadMe.txt ReadMe_QOS.txt History.txt || die "documentation
+# installation failed"
+}
-- 
cgit v1.2.3